Skip to content
Sursa Developers

Objects

UsersImportRequest

Import of users from CSV (POST /v1/users/import).

Fields

  • csvstringrequired

    Content of the CSV file in UTF-8.

    length ≥ 1, length ≤ 2000000

  • dry_runboolean

    Preview only (the default). false executes the rows without errors.

    Default: true

  • default_rolestring

    Role for rows without a role column or with an empty cell.

    Default: "viewer"

  • default_profilestring | null

    Data profile for rows without a profile. If empty, the organization's default profile is used (admins get full access).

  • create_groupsboolean

    Create missing regular groups. Without this flag, an unknown group is a row error.

    Default: false

  • ttl_daysinteger

    Validity of the invitations in days.

    Default: 7≥ 1, ≤ 30

Used by